Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(494)

Unified Diff: sdk/bin/dart2analyzer

Issue 16357010: Basic dart^2 analyzer tests running. (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 7 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: sdk/bin/dart2analyzer
diff --git a/sdk/bin/dart2analyzer b/sdk/bin/dart2analyzer
new file mode 100755
index 0000000000000000000000000000000000000000..4c1767198e6431e2663766e7a882c361178168ca
--- /dev/null
+++ b/sdk/bin/dart2analyzer
@@ -0,0 +1,33 @@
+#!/bin/bash --posix
+# Copyright (c) 2013, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+set -e
+
+BIN_DIR="$(cd "${BASH_SOURCE%/*}" ; pwd -P)"
+SDK_DIR="$(cd "${BIN_DIR}/.." ; pwd -P)"
+DART="$BIN_DIR/dart"
+PKG_ANALYZER="$BIN_DIR/../packages/analyzer_experimental/bin/analyzer.dart"
+
+FOUND_BATCH=0
+FOUND_SDK=0
+for ARG in "$@"
+do
+ case $ARG in
+ -batch|--batch)
+ FOUND_BATCH=1
+ ;;
+ --dart-sdk)
+ FOUND_SDK=1
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if [ $FOUND_SDK = 0 ] ; then
+ exec "$DART" "${PKG_ANALYZER}" --dart-sdk "${SDK_DIR}" "$@"
+else
+ exec "$DART" "${PKG_ANALYZER}" "$@"
+fi

Powered by Google App Engine
This is Rietveld 408576698